Package org.eclipse.net4j.util.io

## Class CachedFileMap<K extends java.lang.Comparable<K>,​V>

- java.lang.Object
- - org.eclipse.net4j.util.io.SortedFileMap<K,​V>
  - - org.eclipse.net4j.util.io.CachedFileMap<K,​V>

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`

      public abstract class CachedFileMap<K extends java.lang.Comparable<K>,​V>
      extends SortedFileMap<K,​V>

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CachedFileMap​(java.io.File file, java.lang.String mode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `V` | `get​(K key)` |
    `V` | `put​(K key, V value)` |

    - ### Methods inherited from class org.eclipse.net4j.util.io.SortedFileMap

      `close, getEntryCount, getEntrySize, getFile, getKey, getKeySize, getMaxKey, getPosition, getRandomAccessFile, getValue, getValuePosition, getValueSize, readKey, readValue, search, writeKey, writeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedFileMap

          public CachedFileMap​(java.io.File file,
                               java.lang.String mode)

  - ### Method Detail

    - #### get

          public V get​(K key)

      Overrides:
        `get` in class `SortedFileMap<K extends java.lang.Comparable<K>,​V>`

    - #### put

          public V put​(K key,
                       V value)

      Overrides:
        `put` in class `SortedFileMap<K extends java.lang.Comparable<K>,​V>`